[Bf-blender-cvs] SVN commit: /data/svn/bf-blender [23472] trunk/blender: Shell script exit values should be non-negative.

gsr b3d gsr.b3d at infernal-iceberg.com
Fri Sep 25 04:00:03 CEST 2009


Revision: 23472
          http://projects.blender.org/plugins/scmsvn/viewcvs.php?view=rev&root=bf-blender&revision=23472
Author:   gsrb3d
Date:     2009-09-25 03:59:43 +0200 (Fri, 25 Sep 2009)

Log Message:
-----------
Shell script exit values should be non-negative.
Exact error with dash as sh "exit: 12: Illegal number: -1".
The rest are just changes to whitespace and polishing.

Modified Paths:
--------------
    trunk/blender/extern/Eigen2/eigen-update.sh
    trunk/blender/source/blender/blenfont/Makefile
    trunk/blender/source/blender/blenlib/intern/BLI_bfile.c

Modified: trunk/blender/extern/Eigen2/eigen-update.sh
===================================================================
--- trunk/blender/extern/Eigen2/eigen-update.sh	2009-09-25 01:49:06 UTC (rev 23471)
+++ trunk/blender/extern/Eigen2/eigen-update.sh	2009-09-25 01:59:43 UTC (rev 23472)
@@ -1,28 +1,28 @@
 #!/bin/sh
 
-echo "*** EIGEN2-SVN Update utility"
-echo "*** This gets a new eigen2-svn tree and adapts it to blenders build structure"
+echo "*** EIGEN2-HG Update utility"
+echo "*** This gets a new eigen2-hg tree and adapts it to blenders build structure"
 echo "*** Warning! This script will wipe all the header file"
-echo "*** Please run again with --i-really-know-what-im-doing ..."
 
 if [ "x$1" = "x--i-really-know-what-im-doing" ] ; then
-   echo proceeding...
+    echo Proceeding as requested by command line ...
 else
-   exit -1
+    echo "*** Please run again with --i-really-know-what-im-doing ..."
+    exit 1
 fi
 
 # get the latest revision from repository.
 hg clone http://bitbucket.org/eigen/eigen2
 if [ -d eigen2 ]
 then
-	cd eigen2
-	# put here the version you want to use
-	hg up 2.0.6
-	rm -f `find Eigen/ -type f -name "CMakeLists.txt"`
-	cp -r Eigen ..
-	cd ..
-	rm -rf eigen2
+    cd eigen2
+    # put here the version you want to use
+    hg up 2.0.6
+    rm -f `find Eigen/ -type f -name "CMakeLists.txt"`
+    cp -r Eigen ..
+    cd ..
+    rm -rf eigen2
 else
-	echo "Did you install Mercurial?"
+    echo "Did you install Mercurial?"
 fi
 

Modified: trunk/blender/source/blender/blenfont/Makefile
===================================================================
--- trunk/blender/source/blender/blenfont/Makefile	2009-09-25 01:49:06 UTC (rev 23471)
+++ trunk/blender/source/blender/blenfont/Makefile	2009-09-25 01:59:43 UTC (rev 23472)
@@ -30,5 +30,5 @@
 include nan_subdirs.mk
 
 ifeq ($(INTERNATIONAL), true)
-	CPPFLAGS += -DINTERNATIONAL
+    CPPFLAGS += -DINTERNATIONAL
 endif

Modified: trunk/blender/source/blender/blenlib/intern/BLI_bfile.c
===================================================================
--- trunk/blender/source/blender/blenlib/intern/BLI_bfile.c	2009-09-25 01:49:06 UTC (rev 23471)
+++ trunk/blender/source/blender/blenlib/intern/BLI_bfile.c	2009-09-25 01:59:43 UTC (rev 23472)
@@ -30,7 +30,7 @@
   #include <unistd.h>
 #else
   #include <io.h>
-#include "BLI_winstuff.h"
+  #include "BLI_winstuff.h"
 #endif
 
 #include <sys/types.h>





More information about the Bf-blender-cvs mailing list